package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxComponentVerifyTicket;

public interface WxComponentVerifyTicketService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxComponentVerifyTicket> listAsPage(WxComponentVerifyTicket record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxComponentVerifyTicket getById(Long id);

    /**
     * 保存或更新实体
     *
     * @param record
     */
    void saveOrUpdate(WxComponentVerifyTicket record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);


}
